Delete a subscriber
Deletes a subscriber entity from the Notifly platform along with associated messages, preferences, and topic subscriptions. **subscriberId** is a required field.
Deletes a subscriber entity from the Notifly platform along with associated messages, preferences, and topic subscriptions. subscriberId is a required field.
Authorization
secretKey API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".
In: header
Path Parameters
The identifier of the subscriber
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v2/subscribers/string"{ "data": { "acknowledged": true, "status": "success" }}Update a subscriber PATCH
Update a subscriber by its unique key identifier **subscriberId**. **subscriberId** is a required field, rest other fields are optional
Retrieve subscriber preferences GET
Retrieve subscriber channel preferences by its unique key identifier **subscriberId**. This API returns all five channels preferences for all workflows and global preferences.